#ifndef _KEYBOARD_H
#define _KEYBOARD_H

#include <types.h>

#define KEYBOARD_IRQ 1

#define LSHIFT 0x2a
#define RSHIFT 0x36
#define LALT 0x38
#define CAPSLOCK 0x3a
#define BACKSPACE 0x0e

#define MODIFIER (LSHIFT || RSHIFT || LALT )

uint32_t keyboard_init();

uint32_t keyboard_handle_irq();

uint8_t keyboard_get_key();

uint8_t keyboard_last_key();

#endif