#include <types.h>
#include <Syscalls/execute.h>

#include "filedescriptor.h"

int32_t find_new_fd()
{
	pcb_t* pcb = get_pcb_ptr();

	int i;
	for (i = 2; i < MAX_FD; i++) {
		if (!pcb->file_desc_array[i].flags & 1) {
			return i;
		}
	}
	return -1;
}
